#!/usr/bin/env python
# -*- coding: latin-1; -*-
#
# Copyright (c) 2004
#      Henri Michelon
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 3. Neither the name of the author nor the names of its contributors
#    may be used to endorse or promote products derived from this software
#    without specific prior written permission.
# 
# THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
# 
# $Id: setup.py,v 1.4 2004/12/08 18:51:20 hmichelon Exp $
#
from distutils.core import setup, Extension

__version__ = "1.2"

firewire = Extension('firewire',
                    extra_compile_args = ['-Wall'],
                    sources = ['src/fwmodule.c',  'src/fwmodule_dv.c', 'src/fwcrom.c'])

setup(name = 'gdvrecv',
       version = __version__,
       description = 'gdvrecv - DV Tools for FreeBSD',
       url = 'http://gdvrecv.sf.net/',
       license = 'BSD',
       author = 'Henri Michelon',
       ext_modules = [firewire],
       packages = ["avc_crom"],
       scripts = [ 'dvrecv', 'gdvrecv' ],
       data_files =
        [ ('share/pixmaps/gdvrecv',
             ['pixmaps/gdvrecv/dv.png', 'pixmaps/gdvrecv/camcorder.png']),
          ('share/misc',
             ['OUI/OUI.db']),
        ]
       )

